/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增申报(第一步) POST /api/ParkBountyApply/AddParkBountyApply */
export async function addParkBountyApply(
  body: API.AddParkBountyApplyStepOneInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/ParkBountyApply/AddParkBountyApply', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 奖励金-出账-审批 POST /api/ParkBountyApply/AuditParkBountyApplyTrade */
export async function auditParkBountyApplyTrade(
  body: API.AuditParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/AuditParkBountyApplyTrade', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 生成奖励金统计报表 POST /api/ParkBountyApply/BuildRewardStatistics */
export async function buildRewardStatistics(
  body: API.BuildRewardStatisticsInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/ParkBountyApply/BuildRewardStatistics', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 撤回申报 GET /api/ParkBountyApply/CancelParkBountyApply */
export async function cancelParkBountyApply(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIcancelParkBountyApplyParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/CancelParkBountyApply', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 提现审核 POST /api/ParkBountyApply/CheckEnterpriseApplyDrawWith */
export async function checkEnterpriseApplyDrawWith(
  body: API.CheckEnterpriseApplyDrawWithInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/CheckEnterpriseApplyDrawWith', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 预充值审核 POST /api/ParkBountyApply/CheckUserEnterpriseRecharge */
export async function checkUserEnterpriseRecharge(
  body: API.CheckUserEnterpriseRechargeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/CheckUserEnterpriseRecharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/ParkBountyApply/DeleteParkEnterpriseApplyFile */
export async function deleteParkEnterpriseApplyFile(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteParkEnterpriseApplyFileParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/DeleteParkEnterpriseApplyFile', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 继续申报 POST /api/ParkBountyApply/EditParkBountyApply */
export async function editParkBountyApply(
  body: API.EditParkBountyApplyStepOneInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/EditParkBountyApply', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 客户端-申请提现 POST /api/ParkBountyApply/EnterpriseApplyDrawWith */
export async function enterpriseApplyDrawWith(
  body: API.EnterpriseApplyDrawWithInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/EnterpriseApplyDrawWith', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出奖励金统计报表 POST /api/ParkBountyApply/ExportRewardStatistics */
export async function exportRewardStatistics(
  body: API.ExportRewardStatisticsInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/ParkBountyApply/ExportRewardStatistics', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 奖励金-出账-财务审批 POST /api/ParkBountyApply/FinanceAuditParkBountyApplyTrade */
export async function financeAuditParkBountyApplyTrade(
  body: API.AuditParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/FinanceAuditParkBountyApplyTrade', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取可选择公司和已剔除公司 POST /api/ParkBountyApply/GetCompanyNameList */
export async function getCompanyNameList(
  body: API.GetCompanyNameListInput,
  options?: API.RequestConfig
) {
  return request<API.GetBatchChooseCompanyOutput>('/api/ParkBountyApply/GetCompanyNameList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取运营端 奖励金申报列表 POST /api/ParkBountyApply/GetCustmoerParkBountyApplyList */
export async function getCustmoerParkBountyApplyList(
  body: API.GetCustomerParkBountyApplyListInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyListOutputPageOutput>(
    '/api/ParkBountyApply/GetCustmoerParkBountyApplyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取提现申请详情 GET /api/ParkBountyApply/GetEnterpriseDrawWithDetail */
export async function getEnterpriseDrawWithDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetEnterpriseDrawWithDetailParams,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseDrawWithDetailOutput>(
    '/api/ParkBountyApply/GetEnterpriseDrawWithDetail',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取提现申请记录列表 POST /api/ParkBountyApply/GetEnterpriseDrawWithList */
export async function getEnterpriseDrawWithList(
  body: API.GetEnterpriseDrawWithListInput,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseDrawWithListOutputPageOutput>(
    '/api/ParkBountyApply/GetEnterpriseDrawWithList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取企业最后一次上传的园区入驻协议文件 GET /api/ParkBountyApply/GetEnterpriseLastUploadEnterPactFile */
export async function getEnterpriseLastUploadEnterPactFile(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetEnterpriseLastUploadEnterPactFileParams,
  options?: API.RequestConfig
) {
  return request<string>('/api/ParkBountyApply/GetEnterpriseLastUploadEnterPactFile', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取企业最后一次上传的园区入驻协议文件 GET /api/ParkBountyApply/GetEnterpriseLastUploadEnterPactFileNew */
export async function getEnterpriseLastUploadEnterPactFileNew(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetEnterpriseLastUploadEnterPactFileNewParams,
  options?: API.RequestConfig
) {
  return request<API.CustomerUploadMonthApplyFileTypeDto[]>(
    '/api/ParkBountyApply/GetEnterpriseLastUploadEnterPactFileNew',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取申报下企业上传的文件 POST /api/ParkBountyApply/GetEnterpriseParkApplyUploadFiles */
export async function getEnterpriseParkApplyUploadFiles(
  body: API.GetEnterpriseParkApplyUploadFilesInput,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseParkApplyUploadFileOutput[]>(
    '/api/ParkBountyApply/GetEnterpriseParkApplyUploadFiles',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取企业充值审核列表 POST /api/ParkBountyApply/GetEnterprisePreChargeCheckList */
export async function getEnterprisePreChargeCheckList(
  body: API.GetEnterprisePreChargeCheckListInput,
  options?: API.RequestConfig
) {
  return request<API.GetEnterprisePreChargeCheckListOutputPageOutput>(
    '/api/ParkBountyApply/GetEnterprisePreChargeCheckList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取充值记录列表 POST /api/ParkBountyApply/GetEnterprisePrechargeList */
export async function getEnterprisePrechargeList(body: API.PageInput, options?: API.RequestConfig) {
  return request<API.GetEnterprisePrechargeListOutputPageOutput>(
    '/api/ParkBountyApply/GetEnterprisePrechargeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取预充值详情 GET /api/ParkBountyApply/GetEnterpriseRechargeDetail */
export async function getEnterpriseRechargeDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetEnterpriseRechargeDetailParams,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseRechargeDetail>(
    '/api/ParkBountyApply/GetEnterpriseRechargeDetail',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 政务端—工作台数据看板 GET /api/ParkBountyApply/GetGoverDataBoard */
export async function getGoverDataBoard(options?: API.RequestConfig) {
  return request<API.GetGoverDataBoardOutput>('/api/ParkBountyApply/GetGoverDataBoard', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取已申报企业列表 含可选择、已剔除 POST /api/ParkBountyApply/GetHasApplyCompanyNameList */
export async function getHasApplyCompanyNameList(
  body: API.GetHasApplyCompanyNameListInput,
  options?: API.RequestConfig
) {
  return request<API.GetBatchChooseCompanyOutput>(
    '/api/ParkBountyApply/GetHasApplyCompanyNameList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 政务端-材料审核-申报详情 POST /api/ParkBountyApply/GetOutCheckParkBountyApplyDetailBaseInfo */
export async function getOutCheckParkBountyApplyDetailBaseInfo(
  body: API.GetParkBountyApplyInfoInput,
  options?: API.RequestConfig
) {
  return request<API.OutCheckParkBountyApplyBaseInfo>(
    '/api/ParkBountyApply/GetOutCheckParkBountyApplyDetailBaseInfo',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 政务端-材料审核-申报企业名单 POST /api/ParkBountyApply/GetOutCheckParkBountyApplyDetailList */
export async function getOutCheckParkBountyApplyDetailList(
  body: API.GetParkBountyApplyInfoInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyDetailInfoPageOutput>(
    '/api/ParkBountyApply/GetOutCheckParkBountyApplyDetailList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 政务端-材料审核-获取外部审核列表 POST /api/ParkBountyApply/GetOutcheckParkBountyList */
export async function getOutcheckParkBountyList(
  body: API.GetParkBountyApplyListInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyListOutputPageOutput>(
    '/api/ParkBountyApply/GetOutcheckParkBountyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 跟进园区查询公司分页列表 POST /api/ParkBountyApply/GetParkApplyCompanyList */
export async function getParkApplyCompanyList(
  body: API.GetApplyCompanyListInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyDetailInfoPageOutput>(
    '/api/ParkBountyApply/GetParkApplyCompanyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 查询奖励金申报企业公司列表 POST /api/ParkBountyApply/GetParkApplyCompanyStepTwoList */
export async function getParkApplyCompanyStepTwoList(
  body: API.GetParkApplyCompanyStepTwoListInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyDetailInfoPageOutput>(
    '/api/ParkBountyApply/GetParkApplyCompanyStepTwoList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取批量入账中未财政拨付的企业 GET /api/ParkBountyApply/GetParkBountyApplyBatchFinanceEnterprise */
export async function getParkBountyApplyBatchFinanceEnterprise(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkBountyApplyBatchFinanceEnterpriseParams,
  options?: API.RequestConfig
) {
  return request<API.GetNotTransferCompanyNameListOutput[]>(
    '/api/ParkBountyApply/GetParkBountyApplyBatchFinanceEnterprise',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取批量登记中未财政拨付的企业 GET /api/ParkBountyApply/GetParkBountyApplyBatchFinanceRegEnterprise */
export async function getParkBountyApplyBatchFinanceRegEnterprise(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkBountyApplyBatchFinanceRegEnterpriseParams,
  options?: API.RequestConfig
) {
  return request<API.GetNotTransferCompanyNameListOutput[]>(
    '/api/ParkBountyApply/GetParkBountyApplyBatchFinanceRegEnterprise',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 运营端-奖励金发放-入账-获取批量入账中未入账的企业 GET /api/ParkBountyApply/GetParkBountyApplyBatchTransferEnterprise */
export async function getParkBountyApplyBatchTransferEnterprise(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkBountyApplyBatchTransferEnterpriseParams,
  options?: API.RequestConfig
) {
  return request<API.GetNotTransferCompanyNameListOutput[]>(
    '/api/ParkBountyApply/GetParkBountyApplyBatchTransferEnterprise',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取批量登记中未登记的企业 GET /api/ParkBountyApply/GetParkBountyApplyBatchTransferRegEnterprise */
export async function getParkBountyApplyBatchTransferRegEnterprise(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkBountyApplyBatchTransferRegEnterpriseParams,
  options?: API.RequestConfig
) {
  return request<API.GetNotTransferCompanyNameListOutput[]>(
    '/api/ParkBountyApply/GetParkBountyApplyBatchTransferRegEnterprise',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 运营端-政务端—获取申报详情-申报详情基础信息 POST /api/ParkBountyApply/GetParkBountyApplyDetailBaseInfo */
export async function getParkBountyApplyDetailBaseInfo(
  body: API.GetParkBountyApplyInfoInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyBaseInfo>(
    '/api/ParkBountyApply/GetParkBountyApplyDetailBaseInfo',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端-政务端—获取申报详情—申报企业名单列表 POST /api/ParkBountyApply/GetParkBountyApplyDetailList */
export async function getParkBountyApplyDetailList(
  body: API.GetParkBountyApplyInfoInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyDetailInfoPageOutput>(
    '/api/ParkBountyApply/GetParkBountyApplyDetailList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取申报企业上传的文件 POST /api/ParkBountyApply/GetParkBountyApplyFile */
export async function getParkBountyApplyFile(
  body: API.GetParkBountyApplyFileInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyFileOutput>('/api/ParkBountyApply/GetParkBountyApplyFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端-政务端—获取奖励金发放列表 POST /api/ParkBountyApply/GetParkBountyApplyList */
export async function getParkBountyApplyList(
  body: API.GetParkBountyApplyListInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyListOutputPageOutput>(
    '/api/ParkBountyApply/GetParkBountyApplyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端—入账—奖励金入账详情基础信息 POST /api/ParkBountyApply/GetParkBountyApplyTransferDetailInfo */
export async function getParkBountyApplyTransferDetailInfo(
  body: API.GetParkBountyApplyTransferInfoInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyBaseInfo>(
    '/api/ParkBountyApply/GetParkBountyApplyTransferDetailInfo',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端—入账—申报企业名单 POST /api/ParkBountyApply/GetParkBountyApplyTransferDetailList */
export async function getParkBountyApplyTransferDetailList(
  body: API.GetParkBountyApplyTransferInfoInput,
  options?: API.RequestConfig
) {
  return request<API.ParkBountyApplyTransferDetailInfoPageOutput>(
    '/api/ParkBountyApply/GetParkBountyApplyTransferDetailList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端-奖励进出账详情 POST /api/ParkBountyApply/GetParkBountyTradeDetailList */
export async function getParkBountyTradeDetailList(
  body: API.GetParkBountyTradeDetailByIdInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyTradeDetailOutputPageOutput>(
    '/api/ParkBountyApply/GetParkBountyTradeDetailList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端-奖励金使用管理列表 POST /api/ParkBountyApply/GetParkBountyTradeList */
export async function getParkBountyTradeList(
  body: API.GetParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyTradeOutputPageOutput>(
    '/api/ParkBountyApply/GetParkBountyTradeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端-政务端一园区客户管理详情一企业申报记录 POST /api/ParkBountyApply/GetParkCustomerBountyApplyList */
export async function getParkCustomerBountyApplyList(
  body: API.QueryParkCustomerBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerBountyApplyOutputPageOutput>(
    '/api/ParkBountyApply/GetParkCustomerBountyApplyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 拨付记录 POST /api/ParkBountyApply/GetParkCustomerBountyFinanceList */
export async function getParkCustomerBountyFinanceList(
  body: API.QueryParkCustomerBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerBountyFinanceOutputPageOutput>(
    '/api/ParkBountyApply/GetParkCustomerBountyFinanceList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 发放记录 POST /api/ParkBountyApply/GetParkCustomerBountyGrantList */
export async function getParkCustomerBountyGrantList(
  body: API.QueryParkCustomerBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerBountyGrantOutputPageOutput>(
    '/api/ParkBountyApply/GetParkCustomerBountyGrantList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端一园区客户管理详情一奖励金发放记录 POST /api/ParkBountyApply/GetParkCustomerBountySettleList */
export async function getParkCustomerBountySettleList(
  body: API.QueryParkCustomerBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerBountySettleOutputPageOutput>(
    '/api/ParkBountyApply/GetParkCustomerBountySettleList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 运营端-政务端一园区客户管理列表 POST /api/ParkBountyApply/GetParkCustomerManagePage */
export async function getParkCustomerManagePage(
  body: API.QueryParkCustomerManageInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerManageOutputPageOutput>(
    '/api/ParkBountyApply/GetParkCustomerManagePage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 查询奖励金统计报表 POST /api/ParkBountyApply/GetRewardStatistics */
export async function getRewardStatistics(
  body: API.GetRewardStatisticsInput,
  options?: API.RequestConfig
) {
  return request<API.GetRewardStatisticsDtoPageOutput>('/api/ParkBountyApply/GetRewardStatistics', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询奖励金统计报表-金额明细 POST /api/ParkBountyApply/GetRewardStatisticsDetail */
export async function getRewardStatisticsDetail(
  body: API.GetRewardStatisticsDetailInput,
  options?: API.RequestConfig
) {
  return request<API.GetRewardStatisticsDetailDtoPageOutput>(
    '/api/ParkBountyApply/GetRewardStatisticsDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 导入奖励金申报财政/平台拨付总额 POST /api/ParkBountyApply/ImportParkBountyAppalyAmount */
export async function importParkBountyAppalyAmount(
  body: API.ImportParkBountyAppalyAmountInput,
  options?: API.RequestConfig
) {
  return request<API.ImportBountyApplyDataOutput>(
    '/api/ParkBountyApply/ImportParkBountyAppalyAmount',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 导入奖励金入账 POST /api/ParkBountyApply/ImportParkBountyData */
export async function importParkBountyData(
  body: API.ImportBountyApplyDataInput,
  options?: API.RequestConfig
) {
  return request<API.ImportBountyApplyDataOutput>('/api/ParkBountyApply/ImportParkBountyData', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导入登记 POST /api/ParkBountyApply/ImportParkBountyDataReg */
export async function importParkBountyDataReg(
  body: API.ImportBountyApplyDataInput,
  options?: API.RequestConfig
) {
  return request<API.ImportBountyApplyDataOutput>('/api/ParkBountyApply/ImportParkBountyDataReg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 内部审核 POST /api/ParkBountyApply/IncheckParkBountyApply */
export async function incheckParkBountyApply(
  body: API.IncheckParkBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/IncheckParkBountyApply', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 政务端-材料审核-外部审核 POST /api/ParkBountyApply/OutcheckParkBountyApply */
export async function outcheckParkBountyApply(
  body: API.OutcheckParkBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/OutcheckParkBountyApply', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批量财政入账 POST /api/ParkBountyApply/ParkBountyApplyBatchFinance */
export async function parkBountyApplyBatchFinance(
  body: API.ParkBountyApplyBatchFinanceInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyBatchFinance', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批量财政拨付登记 POST /api/ParkBountyApply/ParkBountyApplyBatchFinanceReg */
export async function parkBountyApplyBatchFinanceReg(
  body: API.ParkBountyApplyBatchFinanceInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyBatchFinanceReg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端—入账-批量入账 POST /api/ParkBountyApply/ParkBountyApplyBatchTransfer */
export async function parkBountyApplyBatchTransfer(
  body: API.ParkBountyApplyBatchTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyBatchTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批量平台拨付登记 POST /api/ParkBountyApply/ParkBountyApplyBatchTransferReg */
export async function parkBountyApplyBatchTransferReg(
  body: API.ParkBountyApplyBatchTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyBatchTransferReg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 财政入账 POST /api/ParkBountyApply/ParkBountyApplyFinance */
export async function parkBountyApplyFinance(
  body: API.ParkBountyApplyRechargeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyFinance', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 政务端—奖励金发放—上传财政拨付凭证 POST /api/ParkBountyApply/ParkBountyApplyFinanceBill */
export async function parkBountyApplyFinanceBill(
  body: API.ParkBountyApplyFinanceFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyFinanceBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传财政拨付登记金额 POST /api/ParkBountyApply/ParkBountyApplyFinanceBillAmount */
export async function parkBountyApplyFinanceBillAmount(
  body: API.ParkBountyApplyFinanceFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyFinanceBillAmount', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 财政入账上传凭证 POST /api/ParkBountyApply/ParkBountyApplyFinanceFile */
export async function parkBountyApplyFinanceFile(
  body: API.ParkBountyApplyRechargeFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyFinanceFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 财政拨付登记 POST /api/ParkBountyApply/ParkBountyApplyFinanceReg */
export async function parkBountyApplyFinanceReg(
  body: API.ParkBountyApplyRechargeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyFinanceReg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 政务端—奖励金发放—上传充值凭证 POST /api/ParkBountyApply/ParkBountyApplySettle */
export async function parkBountyApplySettle(
  body: API.ParkBountyApplySettleInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplySettle', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传充值登记金额 POST /api/ParkBountyApply/ParkBountyApplySettleAmount */
export async function parkBountyApplySettleAmount(
  body: API.ParkBountyApplySettleInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplySettleAmount', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端—奖励金-出账 POST /api/ParkBountyApply/ParkBountyApplyTrade */
export async function parkBountyApplyTrade(
  body: API.CreateParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTrade', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端—入账—奖励金入账 POST /api/ParkBountyApply/ParkBountyApplyTransfer */
export async function parkBountyApplyTransfer(
  body: API.ParkBountyApplyTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端—奖励金入账—上传凭证 POST /api/ParkBountyApply/ParkBountyApplyTransferFile */
export async function parkBountyApplyTransferFile(
  body: API.ParkBountyApplyTransferFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTransferFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 平台拨付登记 POST /api/ParkBountyApply/ParkBountyApplyTransferReg */
export async function parkBountyApplyTransferReg(
  body: API.ParkBountyApplyTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTransferReg', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 修复数据3.4.2.6 POST /api/ParkBountyApply/RepairData3_4_2_6 */
export async function repairData3426(options?: API.RequestConfig) {
  return request<any>('/api/ParkBountyApply/RepairData3_4_2_6', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 保存奖金分配表、奖励金汇总表、奖励总额 POST /api/ParkBountyApply/SaveParkBountyApplyCollectFile */
export async function saveParkBountyApplyCollectFile(
  body: API.SaveParkBountyApplyCollectFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/SaveParkBountyApplyCollectFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保存企业缴税明细、营收汇总 POST /api/ParkBountyApply/SaveParkBountyApplyGatherFile */
export async function saveParkBountyApplyGatherFile(
  body: API.SaveParkBountyApplyGatherFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/SaveParkBountyApplyGatherFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 同步奖励金出账信息 POST /api/ParkBountyApply/SyncParkBountyApplyTrade */
export async function syncParkBountyApplyTrade(
  body: API.CreateParkBountyTradeInput,
  options?: API.RequestConfig
) {
  return request<API.SyncParkBountyApplyTradeOutput>(
    '/api/ParkBountyApply/SyncParkBountyApplyTrade',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 上传企业材料 POST /api/ParkBountyApply/UploadParkBountyApplyCompanyFile */
export async function uploadParkBountyApplyCompanyFile(
  body: API.UploadParkBountyApplyCompanyFileInput,
  options?: API.RequestConfig
) {
  return request<API.UploadParkBountyApplyCompanyFileOutput>(
    '/api/ParkBountyApply/UploadParkBountyApplyCompanyFile',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 上传企业材料 POST /api/ParkBountyApply/UploadParkBountyApplyCompanyFileNew */
export async function uploadParkBountyApplyCompanyFileNew(
  body: API.UploadParkApplyCustomerFilesInput,
  options?: API.RequestConfig
) {
  return request<API.UploadParkBountyApplyCompanyFileOutput>(
    '/api/ParkBountyApply/UploadParkBountyApplyCompanyFileNew',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 用户充值 POST /api/ParkBountyApply/UserEnterpiseRecharge */
export async function userEnterpiseRecharge(
  body: API.UserEnterpiseRechargeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/UserEnterpiseRecharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
